[24377] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r23972 - trunk/athena/bin/machtype/debian

daemon@ATHENA.MIT.EDU (Evan Broder)
Thu Aug 20 23:02:31 2009

X-Barracuda-Envelope-From: broder@mit.edu
Date: Thu, 20 Aug 2009 23:02:11 -0400
From: Evan Broder <broder@MIT.EDU>
Message-Id: <200908210302.n7L32BcG010508@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: broder
Date: 2009-08-20 23:02:11 -0400 (Thu, 20 Aug 2009)
New Revision: 23972

Added:
   trunk/athena/bin/machtype/debian/debathena-machtype.postinst
Modified:
   trunk/athena/bin/machtype/debian/changelog
Log:
In machtype:
  * If AFS is installed, reload the sysname list when this package is
    installed or upgraded.
    configure)
    ;;
    abort-upgrade|abort-remove|abort-deconfigure)
    ;;
    *)
        echo "postinst called with unknown argument \`$1'" >&2
        exit 1
    ;;


Modified: trunk/athena/bin/machtype/debian/changelog
===================================================================
--- trunk/athena/bin/machtype/debian/changelog	2009-08-20 06:07:14 UTC (rev 23971)
+++ trunk/athena/bin/machtype/debian/changelog	2009-08-21 03:02:11 UTC (rev 23972)
@@ -1,3 +1,10 @@
+debathena-machtype (10.0.1-0debathena4) unstable; urgency=low
+
+  * If AFS is installed, reload the sysname list when this package is
+    installed or upgraded.
+
+ -- Evan Broder <broder@mit.edu>  Thu, 20 Aug 2009 19:52:53 -0700
+
 debathena-machtype (10.0.1-0debathena3) unstable; urgency=low
 
   * Remove some crufty (and likely incompatible) sysnames from the

Added: trunk/athena/bin/machtype/debian/debathena-machtype.postinst
===================================================================
--- trunk/athena/bin/machtype/debian/debathena-machtype.postinst	2009-08-20 06:07:14 UTC (rev 23971)
+++ trunk/athena/bin/machtype/debian/debathena-machtype.postinst	2009-08-21 03:02:11 UTC (rev 23972)
@@ -0,0 +1,45 @@
+#!/bin/sh
+# postinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	if hash fs >/dev/null 2>&1 && [ -e /etc/openafs/afs.conf ]; then
+	    . /etc/openafs/afs.conf
+	    fs sysname $AFS_SYSNAME
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+


Property changes on: trunk/athena/bin/machtype/debian/debathena-machtype.postinst
___________________________________________________________________
Name: svn:executable
   + *


home help back first fref pref prev next nref lref last post